# My Dirty Hoe

*A nice dirty little hoe for your terrain modifications!*

## Terrain Modifications:

  * Smooth Terrain
  * Flatten Terrain
  * Lower Terrain
  * Raise Terrain
  * Cultivate Smooth
  * Cultivate Flat
  * Paved Road Smooth
  * Paved Road Flat
  * Mud Path

## Paint Modifications:

  * Paint Dirt
  * Paint Pave
  * Paint Grass
  * Paint Cultivate
  
## Hoe Radius:

  * Allows you to modify the size of land affected by the dirty hoe by holding down an optional modifier key (default left ctrl) and scrolling with the mouse, or pressing one of two customizable hotkeys (default disabled).
  
## Terrain Reset:

  * To reset terrain using the dirty hoe, select the smooth terrain tool and hold down the modifier key (default left alt) when applying the effect.  
  
## Console Commands:

  * remove_forestry - removes trees, shrubs, rocks etc in a set radius (configurable)."
  * remove_pieces - removes all structures around the player in a set radius (configurable)."
  
  
![Craft](https://i.imgur.com/JgLF278.jpg)

  
## Configuration

Configuration options can be modified in-game (using Configuration Manager plugin).

![Configuration](https://i.imgur.com/D9qdejk.jpg)


## Installation

### Manual

  * Un-zip the `MyDirtyHoe` folder to your `BepInEx/plugins/` folder.

### r2modman (manual)

  * Go to Settings > Import local mod > Select `MyDirtyHoe_v*.*.*.zip`.
  * Click "OK/Import local mod" on the pop-up for information.
  
  
## Comments/suggestions reach me on Nexus (Link at top right of this page).

   
## Credits:   

* FaidenX for the original idea.
* aedenthorn for the Terrain Reset and Hoe Radius code.
  
### Notes
	* You may need to delete your "MagicMike.MyDirtyHoe.cfg" (located in "BepInEx/config" folder), for new settings to take effect.
  

<details><summary><strong>Change Log</strong></summary>
<br>   
<table>
<thead>
  <tr>
    <th>Version</th>
    <th>Changes</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>1.0.5</td>
    <td>
	Fixed heightmap code.
	</td>
  </tr>
  <tr>
    <td>1.0.4</td>
    <td>
	Added console command remove_forestry. Be careful with this!<br>
	Added console command remove_pieces. Be careful with this!
	</td>
  </tr>
  <tr>
    <td>1.0.3</td>
    <td>
	Removed small, medium, large versions.<br>
	Added hoe radius.
	</td>
  </tr>
  <tr>
    <td>1.0.2</td>
    <td>Updated Title!</td>
  </tr>
  <tr>
    <td>1.0.1</td>
    <td>Added Paint Tools</td>
  </tr>
  <tr>
    <td>1.0.0</td>
    <td>Initial Release</td>
  </tr>
</tbody>
</table>
</details>